Rensei docs
API ReferenceWorkflows

List workflows in the authenticated org.

List workflows in the authenticated org. - Rensei REST API operation reference.

GET
/api/workflows

Authorization

headerAuthorizationBearer <rsk_live_*>

Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.

Query Parameters

projectId?string
projectSlug?string
usesGroup?string

Filter to workflows invoking the given group slug.

Response Body

Workflows list.

application/json
  1. response
workflows*array<>
Example Request
curl -X GET 'https://app.rensei.ai/api/workflows'
Example Response
{  "workflows": [    {      "id": "string",      "workspaceId": "string",      "orgId": "string",      "projectId": "string",      "name": "string",      "description": "string",      "status": "string",      "nodes": [        null      ],      "edges": [        null      ],      "viewport": null,      "definitionYaml": "string",      "createdBy": "string",      "createdAt": "string",      "updatedAt": "string",      "archivedAt": "string",      "owningProjectSlug": "string",      "brokenReason": null,      "triggerSubscriptionCount": 0    }  ]}